Skip to content

Remove Training Instance

Soft remove a training instance. The record is marked as removed but not permanently deleted. Accessible to users with ADMIN, MANAGE_TRAINING, or MANAGE_TO_DO permissions, or the assigned user.

Parameters

name * are required parametersdata typedescription
instanceId*stringThe unique identifier of the training instance to remove

Return Value

json
{
  "statusCode": 201,
  "data": null,
  "message": "Successfully removed the training instance"
}

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when the user is not authorized.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/training-instance/:instanceId/remove" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..."

ENDPOINTS

post/api/{targetPath}/training-instance/:instanceId/remove